| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
iolink.iolink.ArrayXi16 Class Reference
Inheritance diagram for iolink.iolink.ArrayXi16:

## Public Member Functions
| __init__ (self, *args)
| dimension_count (self)
| shape (self)
| indexer (self)
| at (self, index)
| set_at (self, index, value)
| reshape (self, shape)
| to_string (self)
| __eq__ (self, other)
| __ne__ (self, other)
| to_numpy (self)
| __getitem__ (self, index)
| __setitem__ (self, index, value)
| __repr__ (self)

## Static Public Member Functions
| from_numpy (npy_array)

## Protected Member Functions
| _to_numpy (self, obj)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    A multi dimensionnal array.

    This class should not be used as is, you must use its
    aliases or it will not work. The current aliases are:

    - Arrayi8
    - Arrayi16
    - Arrayi32
    - Arrayi64
    - Arrayu8
    - Arrayu16
    - Arrayu32
    - Arrayu64
    - Arrayf
    - Arrayd

    :param T: The type of element stored in the array.

## Member Function Documentation

## ◆ at()

iolink.iolink.ArrayXi16.at | ( |  | self,
|  |  | index
| ) |  |

        Get an element of the array.

        Warning: If Array has an empty shape (dimension count = 0), this method
        has an undefined behavior.

        :type index: :py:class:`VectorXu64`
        :param index: The index of the element to get.

## ◆ dimension_count()

iolink.iolink.ArrayXi16.dimension_count | ( |  | self | ) |

    The number of dimensions of the array.

## ◆ from_numpy()

iolink.iolink.ArrayXi16.from_numpy | ( |  | npy_array | ) |
| static

        Allows to convert a Numpy array into an ArrayX.

        Numpy Array data are not duplicated during this operation.

        :param NumpyArray: which must be converted into ArrayX
        :rtype: iolink::ArrayX< int16_t >
        :return: an ArrayX whose content is identical to original Numpy Array

## ◆ indexer()

iolink.iolink.ArrayXi16.indexer | ( |  | self | ) |

    Return the indexer instance used by the array.

## ◆ reshape()

iolink.iolink.ArrayXi16.reshape | ( |  | self,
|  |  | shape
| ) |  |

        Change the shape of the array.

        :type shape: :py:class:`VectorXu64`
        :param shape: The new shape.

## ◆ set_at()

iolink.iolink.ArrayXi16.set_at | ( |  | self,
|  |  | index,
|  |  | value
| ) |  |

        Set a value to an element of the array.

        Warning: If Array has an empty shape (dimension count = 0), this method
        has an undefined behavior.

        :type index: :py:class:`VectorXu64`
        :param index: The index of the element to set.
        :type value: int
        :param value: The value to set at the given index.

## ◆ shape()

iolink.iolink.ArrayXi16.shape | ( |  | self | ) |

    Return the shape of the array.

## ◆ to_numpy()

iolink.iolink.ArrayXi16.to_numpy | ( |  | self | ) |

    Convert the array into a numpy array object
    :return  a numpy array which shares the same data (no memory duplication)

## ◆ to_string()

iolink.iolink.ArrayXi16.to_string | ( |  | self | ) |

    Return a string representation

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py